Subject: Re: Is cygffi.dll needed for SableVM JVM?
From: "Gerrit P. Haase" <[email-masked]>
To: "Grzegorz B. Prokopski" <[email-masked]>
Cc: "Gerrit @ cygwin" <[email-masked]>, [email-masked], [email-masked]
Date: Mon, 20 Sep 2004 08:47:11 +0200

Hello Grzegorz,

Am Montag, 20. September 2004 um 01:57 schriebst du:
> W liście z sob, 18-09-2004, godz. 08:51, Gerrit P. Haase pisze:
>>> You mean I should edit /usr/share/libtool/libtool.m4 and change this
>>> part, that is already specific to cygwin?
>>>
>>> cygwin*)
>>>   # func_win32_libid is a shell function defined in ltmain.sh
>>>   lt_cv_deplibs_check_method='file_magic ^x86 archive import|^x86 DLL'
>>>   lt_cv_file_magic_cmd='func_win32_libid'
>>>   ;;
>>>
>>> It sounds hackish.  Terribly hackish.  If it's a normal thing you need
>>> to do at least for some applications under cygwin, why not have some
>>> kind of a switch for that included into official libtool?
>> 
>> Please submit a patch;)

> I don't know enough about the problem and libtool yet.  We'll see.

> But given your explanation below, sometime later you might switch to
> pass_all but default.  Or it's not an option even in long term?

We should add a flag to specify if a library may be linked in
statically, maybe require a .def file to tell the linker which symbols
should be exported.

> If I see things right I don't really have to edit
> /usr/share/libtool/libtool.m4, but instead I can (ugh...) patch
> ./configure for cygwin.  That'd be a cygwin-specific patch.

configure is autogenerated and shouldn't be modified manually, however
you could try to define some special rules in configure.in to override
the defaults for cygwin.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/